IMS Common Cartridge import

Jump to: navigation, search

Note: You are currently viewing documentation for Moodle 1.9. Up-to-date documentation for the latest stable version is available here: IMS Common Cartridge import.

Moodle1.9

IMS Common Cartridge import is an experimental feature in Moodle 1.9.7 onwards.


Enabling IMS CC import

IMS CC import may be enabled by checking the imsccimport box in Site Administration > Miscellaneous > Experimental.

Note: The IMS CC import feature requires PHP5, DOM, XSL and LIBXML (2.6.30 or newer version of 2.6 branch and 2.73 or newer version of 2.7 branch) extensions to be installed in the server.

Importing an IMS CC package

To import an IMS CC package:

  1. Upload the zip file to the site files folder or other course files folder.
  2. Click the Restore link the same as when restoring a Moodle course backup.

Improving IMS CC import

IMS CC import is an experimental feature, which means it requires additional testing and bug-fixing. Please help us improve it by reporting any issues in the Moodle Tracker. (You'll need a tracker account in order to create an issue.) Select 'Backup' as the component and attach the problem IMS CC package so that developers can reproduce the problem easily. If the package is large, you can use the Common Cartridge Minimizer to reduce its size. (See the Using Moodle IMS-CC package restore error forum discussion for a description of the Common Cartridge Minimizer tool.)

See also